package com.ghy.order.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ghy.common.annotation.Excel;
import com.ghy.common.core.domain.BaseEntity;

/**
 * 售后记录图片对象 after_service_imgs
 *
 * @author clunt
 * @date 2022-09-25
 */
public class AfterServiceImgs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 售后记录id */
    @Excel(name = "售后记录id")
    private Long afterServiceRecordId;

    /** 图片url */
    @Excel(name = "图片url")
    private String imgUrl;

    /** 1.客户上传的 2师傅上传的 */
    @Excel(name = "1.客户上传的 2师傅上传的")
    private Long imgUploadBy;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setAfterServiceRecordId(Long afterServiceRecordId)
    {
        this.afterServiceRecordId = afterServiceRecordId;
    }

    public Long getAfterServiceRecordId()
    {
        return afterServiceRecordId;
    }
    public void setImgUrl(String imgUrl)
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl()
    {
        return imgUrl;
    }
    public void setImgUploadBy(Long imgUploadBy)
    {
        this.imgUploadBy = imgUploadBy;
    }

    public Long getImgUploadBy()
    {
        return imgUploadBy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("afterServiceRecordId", getAfterServiceRecordId())
                .append("imgUrl", getImgUrl())
                .append("imgUploadBy", getImgUploadBy())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
